<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRouletegamesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: rouletegames
         */
        Schema::create('rouletegames', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->integer('max_amount')->nullable();
            $table->integer('min_amount')->nullable();
            $table->enum('status', [0,1])->nullable();
            $table->string('single_profit', 10)->nullable();
            $table->string('two_profit', 12)->nullable();
            $table->string('three_profit', 10)->nullable();
            $table->string('profit_on4', 12)->nullable();
            $table->string('profit_on6', 12)->nullable();
            $table->string('profit_on1_12', 12)->nullable();
            $table->string('profit_on2_12', 12)->nullable();
            $table->string('profit_on3_12', 12)->nullable();
            $table->string('profit_on1r1', 12)->nullable();
            $table->string('profit_on1r2', 12)->nullable();
            $table->string('profit_on1r3', 12)->nullable();
            $table->string('profit_on1_18', 12)->nullable();
            $table->string('profit_on2_18', 12)->nullable();
            $table->string('profit_on_even', 12)->nullable();
            $table->string('profit_on_odd', 12)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('rouletegames');
    }
}
