<?php

namespace Litecms\Rouletegame\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RouletegameTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Rouletegame\Models\Rouletegame $rouletegame)
    {
        return [
            'id'                => $rouletegame->getRouteKey(),
            'key'               => [
                'public'    => $rouletegame->getPublicKey(),
                'route'     => $rouletegame->getRouteKey(),
            ], 
            'name'              => $rouletegame->name,
            'max_amount'        => $rouletegame->max_amount,
            'min_amount'        => $rouletegame->min_amount,
            'status'            => $rouletegame->status,
            'single_profit'     => $rouletegame->single_profit,
            'two_profit'        => $rouletegame->two_profit,
            'three_profit'      => $rouletegame->three_profit,
            'profit_on4'        => $rouletegame->profit_on4,
            'profit_on6'        => $rouletegame->profit_on6,
            'profit_on1_12'     => $rouletegame->profit_on1_12,
            'profit_on2_12'     => $rouletegame->profit_on2_12,
            'profit_on3_12'     => $rouletegame->profit_on3_12,
            'profit_on1r1'      => $rouletegame->profit_on1r1,
            'profit_on1r2'      => $rouletegame->profit_on1r2,
            'profit_on1r3'      => $rouletegame->profit_on1r3,
            'profit_on1_18'     => $rouletegame->profit_on1_18,
            'profit_on2_18'     => $rouletegame->profit_on2_18,
            'profit_on_even'    => $rouletegame->profit_on_even,
            'profit_on_odd'     => $rouletegame->profit_on_odd,
            'url'               => [
                'public'    => trans_url('rouletegame/'.$rouletegame->getPublicKey()),
                'user'      => guard_url('rouletegame/rouletegame/'.$rouletegame->getRouteKey()),
            ], 
            'status'            => trans('app.'.$rouletegame->status),
            'created_at'        => format_date($rouletegame->created_at),
            'updated_at'        => format_date($rouletegame->updated_at),
        ];
    }
}